KUBERNETES(1)

NAME

kubectl scale - Set a new size for a Replication Controller.

SYNOPSIS

kubectl scale [OPTIONS]

DESCRIPTION

Set a new size for a Replication Controller.

Scale also allows users to specify one or more preconditions for the scale action. If --current-replicas or --resource-version is specified, it is validated before the scale is attempted, and it is guaranteed that the precondition holds true when the scale is sent to the server.

OPTIONS

--current-replicas=-1
    Precondition for current size. Requires that the current size of the replication controller match this value in order to scale.

-f, --filename=[]
    Filename, directory, or URL to a file identifying the replication controller to set a new size

-o, --output=""
    Output mode. Use "-o name" for shorter output (resource/name).

--replicas=-1
    The new desired number of replicas. Required.

--resource-version=""
    Precondition for resource version. Requires that the current resource version match this value in order to scale.

--timeout=0
    The length of time to wait before giving up on a scale operation, zero means don't wait.

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--client-certificate=""
    Path to a client key file for TLS.

--client-key=""
    Path to a client key file for TLS.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

--password=""
    Password for basic authentication to the API server.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--token=""
    Bearer token for authentication to the API server.

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server.

--v=0
    log level for V logs

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    # Scale replication controller named 'foo' to 3.
    $ kubectl scale --replicas=3 replicationcontrollers foo
    # Scale a replication controller identified by type and name specified in "foo-controller.yaml" to 3.
    $ kubectl scale --replicas=3 -f foo-controller.yaml
    # If the replication controller named foo's current size is 2, scale foo to 3.
    $ kubectl scale --current-replicas=2 --replicas=3 replicationcontrollers foo
    # Scale multiple replication controllers.
    $ kubectl scale --replicas=5 rc/foo rc/bar

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!